Propellerhead Releases Free Reason 9.2 Update with New Plug-In SDK!

User avatar
rcbuse
Posts: 550
Joined: 16 Jan 2015
Location: Cincinnati
Contact:

14 Apr 2017

stratatonic wrote:And if there is a large base of Reason owners still on pre R9 versions, then as a dev, why would you do anything on the latest SDK?
There are a few reasons for this.
1) The newest SDK allows the best user experience (popup submenus, custom display key modifiers).
2) The number of pre R9 users gets smaller every day as people upgrade and Props comes out with new versions.
3) It takes many months to develop a new RE, by the time its ready for the shop more people have switched over.
4) Time marches on. The shop still has rack extensions built with SDK 1.0 and you can buy them and run them on 9.2. So if I build something with SDK 2.5, it will still be there for when Reason 12.2 comes out, and people will be asking why I'm building with SDK 4.2.

Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest